"""Added application key to ai application table

Revision ID: 1b4de1560f7a
Revises: 8c3cb1e484a0
Create Date: 2024-07-09 09:04:01.128434

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
import core.db_models.utils
from core.utils import generate_unique_identifier_key

# revision identifiers, used by Alembic.
revision: str = '1b4de1560f7a'
down_revision: Union[str, None] = '1fced03debf8'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('ai_application', sa.Column('application_key', sa.String(length=255), nullable=False))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('ai_application', 'application_key')
    # ### end Alembic commands ###
