"""access audits table added

Revision ID: 1fced03debf8
Revises: a7d20ed3c5b4
Create Date: 2024-07-11 16:50:33.130803

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
import core.db_models.utils


# revision identifiers, used by Alembic.
revision: str = '1fced03debf8'
down_revision: Union[str, None] = 'a7d20ed3c5b4'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('access_audits',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('app_key', sa.String(length=255), nullable=True),
    sa.Column('app_name', sa.String(length=255), nullable=True),
    sa.Column('client_app_key', sa.String(length=255), nullable=True),
    sa.Column('client_app_name', sa.String(length=255), nullable=True),
    sa.Column('client_host_name', sa.String(length=255), nullable=True),
    sa.Column('client_ip', sa.String(length=255), nullable=True),
    sa.Column('context', sa.JSON(), nullable=True),
    sa.Column('event_id', sa.String(length=255), nullable=True),
    sa.Column('event_time', sa.Double(), nullable=True),
    sa.Column('masked_traits', sa.JSON(), nullable=True),
    sa.Column('messages', sa.JSON(), nullable=True),
    sa.Column('no_of_tokens', sa.Integer(), nullable=True),
    sa.Column('paig_policy_ids', sa.JSON(), nullable=True),
    sa.Column('request_id', sa.String(length=255), nullable=True),
    sa.Column('request_type', sa.String(length=255), nullable=True),
    sa.Column('result', sa.String(length=255), nullable=True),
    sa.Column('tenant_id', sa.String(length=255), nullable=True),
    sa.Column('thread_id', sa.String(length=255), nullable=True),
    sa.Column('thread_sequence_number', sa.Integer(), nullable=True),
    sa.Column('traits', sa.JSON(), nullable=True),
    sa.Column('user_id', sa.String(length=255), nullable=True),
    sa.Column('encryption_key_id', sa.Integer(), nullable=True),
    sa.Column('log_time', sa.Integer(), nullable=True),
    sa.Column('transaction_sequence_number', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_access_audits_app_name'), 'access_audits', ['app_name'], unique=False)
    op.create_index(op.f('ix_access_audits_id'), 'access_audits', ['id'], unique=False)
    op.create_index(op.f('ix_access_audits_request_type'), 'access_audits', ['request_type'], unique=False)
    op.create_index(op.f('ix_access_audits_result'), 'access_audits', ['result'], unique=False)
    op.create_index(op.f('ix_access_audits_thread_id'), 'access_audits', ['thread_id'], unique=False)
    op.create_index(op.f('ix_access_audits_user_id'), 'access_audits', ['user_id'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_access_audits_user_id'), table_name='access_audits')
    op.drop_index(op.f('ix_access_audits_thread_id'), table_name='access_audits')
    op.drop_index(op.f('ix_access_audits_result'), table_name='access_audits')
    op.drop_index(op.f('ix_access_audits_request_type'), table_name='access_audits')
    op.drop_index(op.f('ix_access_audits_id'), table_name='access_audits')
    op.drop_index(op.f('ix_access_audits_app_name'), table_name='access_audits')
    op.drop_table('access_audits')
    # ### end Alembic commands ###
