"""Added encryption key table

Revision ID: 9249428e19b0
Revises: 1b4de1560f7a
Create Date: 2024-07-15 19:25:05.264484

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision: str = '9249428e19b0'
down_revision: Union[str, None] = '99a43bcdbea1'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('encryption_key',
    sa.Column('public_key', sa.String(length=1024), nullable=False),
    sa.Column('private_key', sa.String(length=2048), nullable=False),
    sa.Column('key_status', sa.Enum('ACTIVE', 'PASSIVE', 'DISABLED', 'DELETED', name='encryptionkeystatus'), nullable=False),
    sa.Column('key_type', sa.Enum('MSG_PROTECT_SHIELD', 'MSG_PROTECT_PLUGIN', name='encryptionkeytype'), nullable=False),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('status', sa.Integer(), nullable=False),
    sa.Column('create_time', sa.DateTime(), nullable=False),
    sa.Column('update_time', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_encryption_key_create_time'), 'encryption_key', ['create_time'], unique=False)
    op.create_index(op.f('ix_encryption_key_id'), 'encryption_key', ['id'], unique=False)
    op.create_index(op.f('ix_encryption_key_update_time'), 'encryption_key', ['update_time'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_encryption_key_update_time'), table_name='encryption_key')
    op.drop_index(op.f('ix_encryption_key_id'), table_name='encryption_key')
    op.drop_index(op.f('ix_encryption_key_create_time'), table_name='encryption_key')
    op.drop_table('encryption_key')
    # ### end Alembic commands ###
