"""Added encryption master key table

Revision ID: 99a43bcdbea1
Revises: 9249428e19b0
Create Date: 2024-07-15 20:52:30.994597

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision: str = '99a43bcdbea1'
down_revision: Union[str, None] = '1b4de1560f7a'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('encryption_master_key',
    sa.Column('key', sa.String(length=2048), nullable=False),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('status', sa.Integer(), nullable=False),
    sa.Column('create_time', sa.DateTime(), nullable=False),
    sa.Column('update_time', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_encryption_master_key_create_time'), 'encryption_master_key', ['create_time'], unique=False)
    op.create_index(op.f('ix_encryption_master_key_id'), 'encryption_master_key', ['id'], unique=False)
    op.create_index(op.f('ix_encryption_master_key_update_time'), 'encryption_master_key', ['update_time'], unique=False)
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_encryption_master_key_update_time'), table_name='encryption_master_key')
    op.drop_index(op.f('ix_encryption_master_key_id'), table_name='encryption_master_key')
    op.drop_index(op.f('ix_encryption_master_key_create_time'), table_name='encryption_master_key')
    op.drop_table('encryption_master_key')
    # ### end Alembic commands ###
